Skip to main content

Update order

PATCH https://pos.paysera.com/eapi/v1/orders/{id}

Update an existing order's details.

You can update order information such as customer details, positions, payments, and other attributes.

Note: Not all fields may be updatable depending on the order status.

Authorization​

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idstring✓The order ID

Request Body​

FieldTypeRequiredDescription
numberstringOrder reference number
currencystring
languageCodestringTwo-letter language code (ISO 639-1)
discountPricestring
expiresAtstring
reservationNamestring
reservationCommentstring
createdAtstringThe date and time the resource was created (UTC format)
advancePaymentbooleanOrder-level advance-payment default. When true, the POS terminal pre-ticks the advance-payment checkbox at checkout (the cashier can still un-tick it). Can be…
customerobject
orderPositionsarrayList of items/products in the order with their quantities and prices
paymentsarrayList of payment transactions associated with this order. This field should only be used if payment was already made from an external system. If payment should…

advancePayment​

Order-level advance-payment default. When true, the POS terminal pre-ticks the advance-payment checkbox at checkout (the cashier can still un-tick it). Can be set or cleared while the order can still be modified (before it is fiscalized).

payments​

List of payment transactions associated with this order. This field should only be used if payment was already made from an external system. If payment should happen via POS, leave this field empty.

Errors​

This endpoint may return the following errors:

400 - Bad Request​

The request was invalid or cannot be served.

401 - Unauthorized​

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden​

Forbidden

This error indicates you don't have permission to access this resource.

404 - Not Found​

Order not found

This error indicates the requested resource was not found.

409 - Conflict​

The request could not be completed due to a conflict with the current state of the target resource.

422 - Unprocessable Entity​

Unprocessable entity

429 - Too Many Requests​

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error​

Internal server error

Example​

Request​

PATCH https://pos.paysera.com/eapi/v1/orders/{id}
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
{
"number": "123456",
"currency": "EUR",
"languageCode": "en",
"discountPrice": "string",
"expiresAt": "2024-11-04T10:15:30Z",
"reservationName": "John",
"reservationComment": "Some comment",
"createdAt": "2024-11-04T10:15:30Z",
"advancePayment": true,
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "john.doe@example.com",
"languageCode": "en",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "US"
}
},
"orderPositions": [
{
"title": "string",
"productSKU": "123abc",
"quantity": 1,
"unitPrice": {
"regular": "89.99",
"special": "79.99",
"discount": "5.00",
"cost": "60.00"
},
"tax": {
"taxRate": 21,
"taxClassifier": "PVM1"
},
"measureUnit": "unit"
}
],
"payments": [
{
"cashRegisterNumber": "CR-000000001",
"paymentMethod": "bankTransfer",
"amount": "100.00",
"payoutAmount": "25.01",
"advancePayment": 0,
"createdAt": "2024-11-04T10:15:30Z"
}
]
}

Response​

{
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456",
"status": "waitingPayment",
"currency": "EUR",
"languageCode": "en",
"expiresAt": "2024-11-04T10:15:30Z",
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z",
"advancePayment": false,
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "john.doe@example.com",
"languageCode": "en",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "US"
}
},
"orderPositions": [
{
"title": "string",
"productSKU": "123abc",
"quantity": 0,
"refundQuantity": "string",
"price": {
"total": "74.99",
"refundTotal": "0.00",
"totalAfterRefund": "74.99",
"unit": {
"regular": "89.99",
"special": "79.99",
"discount": "5.00",
"cost": "60.00"
}
},
"tax": {
"taxRate": 21,
"taxClassifier": "PVM1"
}
}
],
"payments": [
{
"cashRegisterNumber": "CR-000000001",
"paymentMethod": "cash",
"transactionId": "string",
"amount": "100.00",
"payoutAmount": "25.01",
"advancePayment": 0,
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z"
}
],
"totals": {
"subtotal": "74.99",
"shippingPrice": "string",
"paymentPrice": "string",
"discount": "5.00",
"total": "74.99",
"totalRefunded": "0.00",
"totalAfterRefund": "74.99"
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com
Body REQUIRED
{
"number": "123456",
"currency": "EUR",
"languageCode": "en",
"discountPrice": "string",
"expiresAt": "2024-11-04T10:15:30Z",
"reservationName": "John",
"reservationComment": "Some comment",
"createdAt": "2024-11-04T10:15:30Z",
"advancePayment": true,
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "john.doe@example.com",
"languageCode": "en",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "US"
}
},
"orderPositions": [
{
"title": "string",
"productSKU": "123abc",
"quantity": 1,
"unitPrice": {
"regular": "89.99",
"special": "79.99",
"discount": "5.00",
"cost": "60.00"
},
"tax": {
"taxRate": 21,
"taxClassifier": "PVM1"
},
"measureUnit": "unit"
}
],
"payments": [
{
"cashRegisterNumber": "CR-000000001",
"paymentMethod": "bankTransfer",
"amount": "100.00",
"payoutAmount": "25.01",
"advancePayment": 0,
"createdAt": "2024-11-04T10:15:30Z"
}
]
}

RESPONSE

Response
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"number": "123456",
"status": "waitingPayment",
"currency": "EUR",
"languageCode": "en",
"expiresAt": "2024-11-04T10:15:30Z",
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z",
"advancePayment": false,
"customer": {
"firstName": "John",
"lastName": "Doe",
"companyName": "Acme Inc.",
"companyCode": "123456789",
"companyVat": "LT123456789",
"email": "john.doe@example.com",
"languageCode": "en",
"billingAddress": {
"phone": "+1-555-123-4567",
"address1": "123 Main St",
"address2": "Apt 4B",
"zip": "LT12345",
"city": "Anytown",
"country": "US"
}
},
"orderPositions": [
{
"title": "string",
"productSKU": "123abc",
"quantity": 0,
"refundQuantity": "string",
"price": {
"total": "74.99",
"refundTotal": "0.00",
"totalAfterRefund": "74.99",
"unit": {
"regular": "89.99",
"special": "79.99",
"discount": "5.00",
"cost": "60.00"
}
},
"tax": {
"taxRate": 21,
"taxClassifier": "PVM1"
}
}
],
"payments": [
{
"cashRegisterNumber": "CR-000000001",
"paymentMethod": "cash",
"transactionId": "string",
"amount": "100.00",
"payoutAmount": "25.01",
"advancePayment": 0,
"createdAt": "2024-11-04T10:15:30Z",
"updatedAt": "2024-11-04T10:15:30Z"
}
],
"totals": {
"subtotal": "74.99",
"shippingPrice": "string",
"paymentPrice": "string",
"discount": "5.00",
"total": "74.99",
"totalRefunded": "0.00",
"totalAfterRefund": "74.99"
}
}